--- man-1.5k/src/man.c.orig	2003-02-06 19:40:31.000000000 +0900
+++ man-1.5k/src/man.c	2003-02-06 19:43:08.000000000 +0900
@@ -78,6 +78,7 @@
 int noautopath;
 int nocache;
 static int is_japanese;
+static int is_korean;
 static char *language;
 static char **section_list;
 
@@ -440,16 +441,19 @@
      char c;
      int tbl_found = 0;
      int use_jroff;
+     int use_kroff;
 
      use_jroff = (is_japanese &&
 		   (strstr(file, "/jman/") || is_lang_page(language, file)));
+     use_kroff = (is_korean &&
+		   (strstr(file, "/kman/") || is_lang_page(language, file)));
 
      while ((c = *cp++) != '\0') {
 	  switch (c) {
 	  case 'e':
 	       if (debug)
 		    gripe (FOUND_EQN);
-	       add_directive((do_troff ? "EQN" : use_jroff ? "JNEQN": "NEQN"),
+	       add_directive((do_troff ? "EQN" : use_jroff ? "JNEQN": use_kroff ? "KNEQN" : "NEQN"),
 			     file, buf, buflen);
 	       break;
 
@@ -498,7 +502,7 @@
      if (*buf == 0)
 	  return 1;
 
-     add_directive (do_troff ? "TROFF" : use_jroff ? "JNROFF" : "NROFF",
+     add_directive (do_troff ? "TROFF" : use_jroff ? "JNROFF" : use_kroff ? "KNROFF" : "NROFF",
 		    "", buf, buflen);
 
      if (tbl_found && !do_troff && *getval("COL"))
@@ -1139,6 +1143,7 @@
 
 	language = lang;
 	is_japanese = (lang && strncmp(lang, "ja", 2) == 0);
+	is_korean = (lang && strncmp(lang, "ko", 2) == 0);
 }
 
 /*
--- man-1.5k/src/paths.h.in.orig	2003-02-07 16:45:58.000000000 +0900
+++ man-1.5k/src/paths.h.in	2003-02-07 16:50:43.000000000 +0900
@@ -17,9 +17,11 @@
     { "TROFF",	"@troff@" },
     { "NROFF",	"@nroff@" },
     { "JNROFF",	"@jnroff@" },
+    { "KNROFF",	"@knroff@" },
     { "EQN",	"@eqn@" },
     { "NEQN",	"@neqn@" },
     { "JNEQN",	"@jneqn@" },
+    { "KNEQN",	"@kneqn@" },
     { "TBL",	"@tbl@" },
     { "COL",	"@pcol@" },
     { "REFER",	"@refer@" },
--- man-1.5k/src/man.conf.in.orig	2003-02-07 16:46:37.000000000 +0900
+++ man-1.5k/src/man.conf.in	2003-02-07 16:46:50.000000000 +0900
@@ -94,9 +94,10 @@
 TROFF		@troff@
 NROFF		@nroff@
 JNROFF		@jnroff@
+KNROFF		@knroff@
 EQN		@eqn@
 NEQN		@neqn@
-JNEQN		@jneqn@
+KNEQN		@kneqn@
 TBL		@tbl@
 @nocol@COL		@col@
 REFER		@refer@
--- man-1.5k/configure.orig	2003-02-07 16:47:58.000000000 +0900
+++ man-1.5k/configure	2003-02-07 16:49:45.000000000 +0900
@@ -365,9 +365,11 @@
   troff=/usr/bin/troff
   nroff=/usr/bin/nroff
   jnroff=""
+  knroff=""
   eqn=""
   neqn=""
   jneqn=""
+  kneqn=""
   tbl=""
   col=""
   vgrind=""
@@ -452,10 +454,12 @@
     fi
     troff="$Fgroff -Tps -mandoc"
     jnroff="$Fgroff -Tnippon -mandocj"
+    knroff="$Fgroff -Tkorean -mandoc"
   fi
   eqn="$Fgeqn -Tps"
   neqn="$Fgeqn -Tlatin1"
   jneqn="$Fgeqn -Tnippon"
+  kneqn="$Fgeqn -Tkorean"
   tbl="$Fgtbl"
   col="$Fcol"
   vgrind="$Fvgrind"
@@ -480,7 +484,7 @@
   cat="$Fcat"
   awk="$Fawk"
 
-  FILTERS="troff nroff jnroff eqn neqn jneqn tbl col vgrind refer grap pic pager cmp cat awk"
+  FILTERS="troff nroff jnroff knroff eqn neqn jneqn kneqn tbl col vgrind refer grap pic pager cmp cat awk"
 fi
 
 if [ x$default = x ]; then
@@ -1237,9 +1241,11 @@
 s,@troff@,$troff,
 s,@nroff@,$nroff,
 s,@jnroff@,$jnroff,
+s,@knroff@,$knroff,
 s,@eqn@,$eqn,
 s,@neqn@,$neqn,
 s,@jneqn@,$jneqn,
+s,@kneqn@,$kneqn,
 s,@tbl@,$tbl,
 s,@nocol@,$nocol,
 s,@pcol@,$pcol,
